# $Revision: 1.19 $, $Date: 2009/11/26 21:51:17 $
%define		module	nose
Summary:	A unittest extension with automatic discovery, simplified authoring, and output capture
Summary(pl.UTF-8):	Rozszerzenie testów jednostkowych z automatycznym wykrywaniem, prostym tworzeniem i przechwytywaniem wyjścia
Name:		python-%{module}
Version:	0.11.1
Release:	1
License:	LGPL
Group:		Libraries/Python
Source0:	http://somethingaboutorange.com/mrl/projects/nose/%{module}-%{version}.tar.gz
# Source0-md5:	00789d016f81ec52f666f020c644447e
URL:		http://somethingaboutorange.com/mrl/projects/nose/
BuildRequires:	python-devel
BuildRequires:	python-devel-tools >= 1:2.5
BuildRequires:	python-setuptools >= 0.6-0.c5
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-devel-tools
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
nose provides an alternate test discovery and running process for
unittest, one that is intended to mimic the behavior of py.test as
much as is reasonably possible without resorting to magic. By default,
nose will run tests in files or directories under the current working
directory whose names include "test". nose also supports doctest tests
and may optionally provide a test coverage report.

%description -l pl.UTF-8
nose dostarcza alternatywny proces wykrywania i uruchamiania testów
dla testów jednostkowych (unittest), mający przypominać zachowanie
py.test na ile to możliwe bez uciekania się do magii. Domyślnie nose
uruchamia testy z tych plików lub katalogów od bieżącego katalogu,
których nazwa zawiera "test". Obsługuje także testy doctest i
opcjonalnie przedstawia raport pokrycia testów.

%prep
%setup -qn %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

mv $RPM_BUILD_ROOT%{_prefix}/man/ $RPM_BUILD_ROOT%{_datadir}

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nosetests
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-nose.spec,v $
Revision 1.19  2009/11/26 21:51:17  sparky
- BR: python-devel

Revision 1.18  2009/10/03 15:05:52  wrobell
- ver. 0.11.1

Revision 1.17  2009/01/06 18:53:45  witekfl
- up to 0.10.4

Revision 1.16  2008/11/21 22:47:15  charles
- BR s/python/python-devel-tools/

Revision 1.15  2008/10/03 17:54:22  arekm
- release 3

Revision 1.14  2008/07/10 20:28:29  megabajt
- release 2

Revision 1.13  2007/06/25 19:30:49  qboosh
- typo

Revision 1.12  2007/06/25 19:21:26  wrobell
- ver. 0.9.3

Revision 1.11  2007/02/28 16:41:23  wrobell
- fixed manual path

Revision 1.10  2007/02/28 16:38:52  wrobell
- ver. 0.9.2
- added manpage

Revision 1.9  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.7  2006/11/28 22:15:05  qboosh
- fixed BR, killed redundant macro

Revision 1.6  2006/11/20 21:40:17  emes
- req python 2.5

Revision 1.5  2006/11/19 21:28:15  emes
- works with python 2.4, no need to require 2.5

Revision 1.4  2006/11/19 16:12:20  qboosh
- pl, formatting, py_postclean, BR: python 2.5 for .egg-info

Revision 1.3  2006/11/19 12:52:40  emes
- added breq python-devel-tools

Revision 1.2  2006/11/19 03:56:30  emes
- changed arch to noarch

Revision 1.1  2006/11/19 02:42:08  emes
- initial release
